<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a href="{:url('route/index')}">{:lang('URL_OPTIMIZATION')}</a></li>
        <li><a href="{:url('route/add')}">{:lang('ADD_URL_RULE')}</a></li>
    </ul>
    <form class="js-ajax-form" action="{:url('route/listOrder')}" method="post">
        <div class="table-actions">
            <button type="submit" class="btn btn-primary btn-sm js-ajax-submit">{:lang('SORT')}</button>
        </div>
        <table class="table table-hover table-bordered table-list">
            <thead>
            <tr>
                <th width="50">{:lang('SORT')}</th>
                <th width="50">ID</th>
                <th>{:lang('ORIGINAL_URL')}</th>
                <th>{:lang('DISPLAY_URL')}</th>
                <th>{:lang('TYPE')}</th>
                <th>{:lang('STATUS')}</th>
                <th width="140">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <php>
                $statuses=array('0'=>lang("DISABLED"),"1"=>lang("ENABLED"));
                $types=array('1'=>lang('CUSTOMIZE'),"2"=>lang('ALIAS_DEFINITION'));
            </php>
            <foreach name="routes" item="vo">
                <tr>
                    <td>
                        <input name="list_orders[{$vo.id}]" class="input-order" type="text"
                               value="{$vo.list_order}">
                    </td>
                    <td>{$vo.id}</td>
                    <td>{$vo.full_url}</td>
                    <td>{$vo.url}</td>
                    <td>
                        <eq name="vo.type" value="2">
                            <span class="label label-danger" data-toggle="tooltip" title="{:lang('ALIAS_DEFINITION_RULE_CANNOT_EDIT_SORT')}">{$types[$vo['type']]}</span>
                            <else/>
                            <span class="label label-success" data-toggle="tooltip" title="{:lang('CUSTOM_RULE_CAN_EDIT_SORT')}">{$types[$vo['type']]}</span>
                        </eq>
                    </td>
                    <td>
                        <empty name="vo.status">
                            <span class="label label-default">{$statuses[$vo['status']]}</span>
                            <else/>
                            <span class="label label-success">{$statuses[$vo['status']]}</span>
                        </empty>
                    </td>
                    <td>
                        <eq name="vo.type" value="2">
                            <span class="btn btn-xs btn-primary disabled">{:lang('EDIT')}</span>
                            <span class="btn btn-xs btn-warning disabled">{:lang('DISABLED')}</span>
                            <span class="btn btn-xs btn-danger disabled">{:lang('DELETE')}</span>
                            <else/>
                            <a class="btn btn-xs btn-primary" href="{:url('route/edit',array('id'=>$vo['id']))}">{:lang('EDIT')}</a>
                            <eq name="vo.status" value="1">
                                <a class="btn btn-xs btn-warning js-ajax-dialog-btn"
                                   href="{:url('route/ban',array('id'=>$vo['id']))}"
                                   data-msg="{:lang('CONFIRM_DISABLE')}">{:lang('DISABLED')}</a>
                                <else/>
                                <a class="btn btn-xs btn-warning js-ajax-dialog-btn"
                                   href="{:url('route/open',array('id'=>$vo['id']))}"
                                   data-msg="{:lang('CONFIRM_ENABLE')}">{:lang('ENABLED')}</a>
                            </eq>
                            <a class="btn btn-xs btn-danger js-ajax-delete"
                               href="{:url('route/delete',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
                        </eq>
                    </td>
                </tr>
            </foreach>
            <tfoot>
            <tr>
                <th width="50">{:lang('SORT')}</th>
                <th width="50">ID</th>
                <th>{:lang('ORIGINAL_URL')}</th>
                <th>{:lang('DISPLAY_URL')}</th>
                <th>{:lang('TYPE')}</th>
                <th>{:lang('STATUS')}</th>
                <th width="130">{:lang('ACTIONS')}</th>
            </tr>
            </tfoot>
        </table>
        <div class="table-actions">
            <button type="submit" class="btn btn-primary btn-sm js-ajax-submit">{:lang('SORT')}</button>
        </div>
    </form>
</div>
<script type="text/javascript" src="__STATIC__/js/admin.js"></script>
</body>
</html>